# [alex.racine][title]

Ce dépôt est hébergé sur ma propre instance de Git, dans mon salon, et répertorie les sources de mon [site web personnel][sitePerso] en version 0.2 après sa refonte complète. Quelques infos supplémentaires sont disponibles dans le billet [Lifting complet][LT]. Le site en lui-même est composé d'une sorte de portfolio de présentation et d'une section [blog][blogPerso]. Les [applications][apps] testées et déployées sur mon espace web lorsqu'elles me sont utiles [^1] sont, elles, hébergées sur le domaine *libracine.ch*

## Licence

Ce projet est sous [licence `CC-BY`][licence] :
<http://creativecommons.org/licenses/by/4.0/>

## Thème

J'utilise le thème [portfoliGor][portfoliGor] développé à l'origine par mon ami [Igor Milhit][IM]. Avec quelques adaptations en fonction de mes besoins.

## Utilisation

Pour utiliser, visualiser et modifier ce projet :

1. Téléchargez ou clonez ce dépôt
2. Installez [Hugo][hugo]
3. Ouvrez un terminal et rendez-vous dans le dossier du projet e.g. `cd ~/alex.racine`
4. lancez la commande `hugo server` pour visualiser le site tel qu'il apparaît en production  ou la commande `hugo server -D` pour visualiser le site en intégrant les billets ou pages qui ont le statut `brouillon` et qui ne sont pas publiées.

___

[title]: https://git.libracine.ch/alerac/alex.racine
[sitePerso]: https://alexracine.ch
[LT]: https://alexracine.ch/lifting-complet
[blogPerso]: https://alexracine.ch/blog
[apps]: https://alexracine.ch/applis
[licence]: ./LICENSE
[portfoliGor]: https://git.milhit.ch/igor/portfoligor
[IM]: https://igor.milhit.ch/
[hugo]: https://gohugo.io/
[^1]: *dont cette instance Git*
